Bug 1469586 - Intel DRM hang/crash in render ring
Intel DRM hang/crash in render ring
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 10:11 EDT by Joe Wright
Modified: 2017-12-12 05:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:24:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (5.11 MB, application/x-xz)
2017-07-11 10:11 EDT, Joe Wright
no flags Details

  None (edit)
Description Joe Wright 2017-07-11 10:11:38 EDT
Created attachment 1296264 [details]
sosreport

Description of problem:
- GUI crashes
- see DRM buffer failures in the logs
- Intel Broadwell Intel(R) Core(TM) i7-5600U CPU @ 2.60GHz
- 00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)


Version-Release number of selected component (if applicable):
- Both Fedora 24 and 25 (kernel 4.7.6-200.fc24.x86_64 and above)
- Lenovo ThinkPad T450s 20BWS1KY00

How reproducible:
- intermittent

Steps to Reproduce:
1. none. it just happens occasionally
2.
3.

Actual results:
-Observe tearing on the rendered display output and eventually the UI will crash and go to fallback mode (cinnamon)

Expected results:


Additional info:

Jul 11 09:38:26 localhost kernel: [drm] stuck on render ring
Jul 11 09:38:26 localhost kernel: [drm] GPU HANG: ecode 8:0:0x85dfbfff, in cinnamon [2281], reason: Engine(s) hung, action: reset
Jul 11 09:38:26 localhost kernel: drm/i915: Resetting chip after gpu hang

00:02.0 0300: 8086:1616 (rev 09) (prog-if 00 [VGA controller])
        Subsystem: 17aa:5036
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 46
        Region 0: Memory at e0000000 (64-bit, non-prefetchable) [size=16M]
        Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at 3000 [size=64]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee00018  Data: 0000
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a4] PCI Advanced Features
                AFCap: TP+ FLR+
                AFCtrl: FLR-
                AFStatus: TP-
        Kernel driver in use: i915
        Kernel modules: i915


[   231.190] (EE) 
[   231.190] (EE) Backtrace:
[   231.192] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59f679]
[   231.194] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fcd837b576f]
[   231.194] (EE) 2: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x1927f) [0x7fcd7e42e7cf]
[   231.194] (EE) 3: /usr/libexec/Xorg (present_extension_init+0x5b7) [0x51b8b7]
[   231.194] (EE) 4: /usr/libexec/Xorg (present_extension_init+0x685) [0x51ba95]
[   231.195] (EE) 5: /usr/libexec/Xorg (present_extension_init+0xdf2) [0x51c962]
[   231.195] (EE) 6: /usr/libexec/Xorg (AddTraps+0x9133) [0x523873]
[   231.195] (EE) 7: /usr/libexec/Xorg (CompositeRegisterImplicitRedirectionException+0x4098) [0x4ccf88]
[   231.195] (EE) 8: /usr/libexec/Xorg (AddTraps+0x73f4) [0x51fd84]
[   231.195] (EE) 9: /usr/libexec/Xorg (remove_fs_handlers+0x581) [0x43af81]
[   231.195] (EE) 10: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7fcd837a1731]
[   231.195] (EE) 11: /usr/libexec/Xorg (_start+0x29) [0x424d59]
[   231.196] (EE) 12: ? (?+0x29) [0x29]
[   231.196] (EE) 
[   231.196] (EE) Segmentation fault at address 0x20
[   231.196] (EE) 
Fatal server error:
[   231.196] (EE) Caught signal 11 (Segmentation fault). Server aborting
[   231.196] (EE) 
[   231.196] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[   231.196] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   231.196] (EE)
Comment 1 Fedora End Of Life 2017-11-16 14:17:55 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:24:05 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.